## NAS Get Cell Location Info request NAS Get Cell Location Info request |

## Functions

QmiMessageNasGetCellLocationInfoOutput * | qmi_message_nas_get_cell_location_info_output_ref ()
void | qmi_message_nas_get_cell_location_info_output_unref ()
gboolean | qmi_message_nas_get_cell_location_info_output_get_umts_info_neighboring_lte ()
gboolean | qmi_message_nas_get_cell_location_info_output_get_umts_cell_id ()
gboolean | qmi_message_nas_get_cell_location_info_output_get_lte_info_neighboring_wcdma ()
gboolean | qmi_message_nas_get_cell_location_info_output_get_lte_info_neighboring_gsm ()
gboolean | qmi_message_nas_get_cell_location_info_output_get_interfrequency_lte_info ()
gboolean | qmi_message_nas_get_cell_location_info_output_get_intrafrequency_lte_info ()
gboolean | qmi_message_nas_get_cell_location_info_output_get_cdma_info ()
gboolean | qmi_message_nas_get_cell_location_info_output_get_umts_info ()
gboolean | qmi_message_nas_get_cell_location_info_output_get_geran_info ()
gboolean | qmi_message_nas_get_cell_location_info_output_get_result ()
void | qmi_client_nas_get_cell_location_info ()
QmiMessageNasGetCellLocationInfoOutput * | qmi_client_nas_get_cell_location_info_finish ()

## Types and Values

| QmiMessageNasGetCellLocationInfoOutput
| QmiMessageNasGetCellLocationInfoOutputUmtsInfoNeighboringLteFrequencyElement
| QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringWcdmaFrequencyElementCellElement
| QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringWcdmaFrequencyElement
| QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringGsmFrequencyElementCellElement
| QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringGsmFrequencyElement
| QmiMessageNasGetCellLocationInfoOutputInterfrequencyLteInfoFrequencyElementCellElement
| QmiMessageNasGetCellLocationInfoOutputInterfrequencyLteInfoFrequencyElement
| QmiMessageNasGetCellLocationInfoOutputIntrafrequencyLteInfoCellElement
| QmiMessageNasGetCellLocationInfoOutputUmtsInfoCellElement
| QmiMessageNasGetCellLocationInfoOutputUmtsInfoNeighboringGeranElement
| QmiMessageNasGetCellLocationInfoOutputGeranInfoCellElement

## Object Hierarchy

        GBoxed
        ╰── QmiMessageNasGetCellLocationInfoOutput

## Description

## Functions

### qmi_message_nas_get_cell_location_info_output_ref ()

    QmiMessageNasGetCellLocationInfoOutput *
    qmi_message_nas_get_cell_location_info_output_ref
                                   (QmiMessageNasGetCellLocationInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetCellLocationInfoOutput. |

#### Returns

the new reference to `self` .

Since: 1.10

### qmi_message_nas_get_cell_location_info_output_unref ()

    void
    qmi_message_nas_get_cell_location_info_output_unref
                                   (QmiMessageNasGetCellLocationInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetCellLocationInfoOutput. |

Since: 1.10

### qmi_message_nas_get_cell_location_info_output_get_umts_info_neighboring_lte ()

    gboolean
    qmi_message_nas_get_cell_location_info_output_get_umts_info_neighboring_lte
                                   (QmiMessageNasGetCellLocationInfoOutput *self,
                                    QmiNasWcdmaRrcState *value_umts_info_neighboring_lte_rrc_state,
                                    GArray **value_umts_info_neighboring_lte_frequency,
                                    GError **error);

Get the 'UMTS Info Neighboring LTE' field from `self` .

#### Parameters

self | a QmiMessageNasGetCellLocationInfoOutput. |
value_umts_info_neighboring_lte_rrc_state | a placeholder for the output QmiNasWcdmaRrcState, or `NULL` if not required. |
value_umts_info_neighboring_lte_frequency | a placeholder for the output GArray of QmiMessageNasGetCellLocationInfoOutputUmtsInfoNeighboringLteFrequencyElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_nas_get_cell_location_info_output_get_umts_cell_id ()

    gboolean
    qmi_message_nas_get_cell_location_info_output_get_umts_cell_id
                                   (QmiMessageNasGetCellLocationInfoOutput *self,
                                    guint32 *value_umts_cell_id,
                                    GError **error);

Get the 'UMTS Cell ID' field from `self` .

#### Parameters

self | a QmiMessageNasGetCellLocationInfoOutput. |
value_umts_cell_id | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_nas_get_cell_location_info_output_get_lte_info_neighboring_wcdma ()

    gboolean
    qmi_message_nas_get_cell_location_info_output_get_lte_info_neighboring_wcdma
                                   (QmiMessageNasGetCellLocationInfoOutput *self,
                                    gboolean *value_lte_info_neighboring_wcdma_ue_in_idle,
                                    GArray **value_lte_info_neighboring_wcdma_frequency,
                                    GError **error);

Get the 'LTE Info Neighboring WCDMA' field from `self` .

#### Parameters

self | a QmiMessageNasGetCellLocationInfoOutput. |
value_lte_info_neighboring_wcdma_ue_in_idle | a placeholder for the output gboolean, or `NULL` if not required. |
value_lte_info_neighboring_wcdma_frequency | a placeholder for the output GArray of QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringWcdmaFrequencyElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_nas_get_cell_location_info_output_get_lte_info_neighboring_gsm ()

    gboolean
    qmi_message_nas_get_cell_location_info_output_get_lte_info_neighboring_gsm
                                   (QmiMessageNasGetCellLocationInfoOutput *self,
                                    gboolean *value_lte_info_neighboring_gsm_ue_in_idle,
                                    GArray **value_lte_info_neighboring_gsm_frequency,
                                    GError **error);

Get the 'LTE Info Neighboring GSM' field from `self` .

#### Parameters

self | a QmiMessageNasGetCellLocationInfoOutput. |
value_lte_info_neighboring_gsm_ue_in_idle | a placeholder for the output gboolean, or `NULL` if not required. |
value_lte_info_neighboring_gsm_frequency | a placeholder for the output GArray of QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringGsmFrequencyElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_nas_get_cell_location_info_output_get_interfrequency_lte_info ()

    gboolean
    qmi_message_nas_get_cell_location_info_output_get_interfrequency_lte_info
                                   (QmiMessageNasGetCellLocationInfoOutput *self,
                                    gboolean *value_interfrequency_lte_info_ue_in_idle,
                                    GArray **value_interfrequency_lte_info_frequency,
                                    GError **error);

Get the 'Interfrequency LTE Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetCellLocationInfoOutput. |
value_interfrequency_lte_info_ue_in_idle | a placeholder for the output gboolean, or `NULL` if not required. |
value_interfrequency_lte_info_frequency | a placeholder for the output GArray of QmiMessageNasGetCellLocationInfoOutputInterfrequencyLteInfoFrequencyElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_nas_get_cell_location_info_output_get_intrafrequency_lte_info ()

    gboolean
    qmi_message_nas_get_cell_location_info_output_get_intrafrequency_lte_info
                                   (QmiMessageNasGetCellLocationInfoOutput *self,
                                    gboolean *value_intrafrequency_lte_info_ue_in_idle,
                                    const gchar **value_intrafrequency_lte_info_plmn,
                                    guint16 *value_intrafrequency_lte_info_tracking_area_code,
                                    guint32 *value_intrafrequency_lte_info_global_cell_id,
                                    guint16 *value_intrafrequency_lte_info_eutra_absolute_rf_channel_number,
                                    guint16 *value_intrafrequency_lte_info_serving_cell_id,
                                    guint8 *value_intrafrequency_lte_info_cell_reselection_priority,
                                    guint8 *value_intrafrequency_lte_info_s_non_intra_search_threshold,
                                    guint8 *value_intrafrequency_lte_info_serving_cell_low_threshold,
                                    guint8 *value_intrafrequency_lte_info_s_intra_search_threshold,
                                    GArray **value_intrafrequency_lte_info_cell,
                                    GError **error);

Get the 'Intrafrequency LTE Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetCellLocationInfoOutput. |
value_intrafrequency_lte_info_ue_in_idle | a placeholder for the output gboolean, or `NULL` if not required. |
value_intrafrequency_lte_info_plmn | a placeholder for the output constant string, or `NULL` if not required. |
value_intrafrequency_lte_info_tracking_area_code | a placeholder for the output guint16, or `NULL` if not required. |
value_intrafrequency_lte_info_global_cell_id | a placeholder for the output guint32, or `NULL` if not required. |
value_intrafrequency_lte_info_eutra_absolute_rf_channel_number | a placeholder for the output guint16, or `NULL` if not required. |
value_intrafrequency_lte_info_serving_cell_id | a placeholder for the output guint16, or `NULL` if not required. |
value_intrafrequency_lte_info_cell_reselection_priority | a placeholder for the output guint8, or `NULL` if not required. |
value_intrafrequency_lte_info_s_non_intra_search_threshold | a placeholder for the output guint8, or `NULL` if not required. |
value_intrafrequency_lte_info_serving_cell_low_threshold | a placeholder for the output guint8, or `NULL` if not required. |
value_intrafrequency_lte_info_s_intra_search_threshold | a placeholder for the output guint8, or `NULL` if not required. |
value_intrafrequency_lte_info_cell | a placeholder for the output GArray of QmiMessageNasGetCellLocationInfoOutputIntrafrequencyLteInfoCellElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_nas_get_cell_location_info_output_get_cdma_info ()

    gboolean
    qmi_message_nas_get_cell_location_info_output_get_cdma_info
                                   (QmiMessageNasGetCellLocationInfoOutput *self,
                                    guint16 *value_cdma_info_system_id,
                                    guint16 *value_cdma_info_network_id,
                                    guint16 *value_cdma_info_base_station_id,
                                    guint16 *value_cdma_info_reference_pn,
                                    guint32 *value_cdma_info_latitude,
                                    guint32 *value_cdma_info_longitude,
                                    GError **error);

Get the 'CDMA Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetCellLocationInfoOutput. |
value_cdma_info_system_id | a placeholder for the output guint16, or `NULL` if not required. |
value_cdma_info_network_id | a placeholder for the output guint16, or `NULL` if not required. |
value_cdma_info_base_station_id | a placeholder for the output guint16, or `NULL` if not required. |
value_cdma_info_reference_pn | a placeholder for the output guint16, or `NULL` if not required. |
value_cdma_info_latitude | a placeholder for the output guint32, or `NULL` if not required. |
value_cdma_info_longitude | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_nas_get_cell_location_info_output_get_umts_info ()

    gboolean
    qmi_message_nas_get_cell_location_info_output_get_umts_info
                                   (QmiMessageNasGetCellLocationInfoOutput *self,
                                    guint16 *value_umts_info_cell_id,
                                    const gchar **value_umts_info_plmn,
                                    guint16 *value_umts_info_lac,
                                    guint16 *value_umts_info_utra_absolute_rf_channel_number,
                                    guint16 *value_umts_info_primary_scrambling_code,
                                    gint16 *value_umts_info_rscp,
                                    gint16 *value_umts_info_ecio,
                                    GArray **value_umts_info_cell,
                                    GArray **value_umts_info_neighboring_geran,
                                    GError **error);

Get the 'UMTS Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetCellLocationInfoOutput. |
value_umts_info_cell_id | a placeholder for the output guint16, or `NULL` if not required. |
value_umts_info_plmn | a placeholder for the output constant string, or `NULL` if not required. |
value_umts_info_lac | a placeholder for the output guint16, or `NULL` if not required. |
value_umts_info_utra_absolute_rf_channel_number | a placeholder for the output guint16, or `NULL` if not required. |
value_umts_info_primary_scrambling_code | a placeholder for the output guint16, or `NULL` if not required. |
value_umts_info_rscp | a placeholder for the output gint16, or `NULL` if not required. |
value_umts_info_ecio | a placeholder for the output gint16, or `NULL` if not required. |
value_umts_info_cell | a placeholder for the output GArray of QmiMessageNasGetCellLocationInfoOutputUmtsInfoCellElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
value_umts_info_neighboring_geran | a placeholder for the output GArray of QmiMessageNasGetCellLocationInfoOutputUmtsInfoNeighboringGeranElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_nas_get_cell_location_info_output_get_geran_info ()

    gboolean
    qmi_message_nas_get_cell_location_info_output_get_geran_info
                                   (QmiMessageNasGetCellLocationInfoOutput *self,
                                    guint32 *value_geran_info_cell_id,
                                    const gchar **value_geran_info_plmn,
                                    guint16 *value_geran_info_lac,
                                    guint16 *value_geran_info_geran_absolute_rf_channel_number,
                                    guint8 *value_geran_info_base_station_identity_code,
                                    guint32 *value_geran_info_timing_advance,
                                    guint16 *value_geran_info_rx_level,
                                    GArray **value_geran_info_cell,
                                    GError **error);

Get the 'GERAN Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetCellLocationInfoOutput. |
value_geran_info_cell_id | a placeholder for the output guint32, or `NULL` if not required. |
value_geran_info_plmn | a placeholder for the output constant string, or `NULL` if not required. |
value_geran_info_lac | a placeholder for the output guint16, or `NULL` if not required. |
value_geran_info_geran_absolute_rf_channel_number | a placeholder for the output guint16, or `NULL` if not required. |
value_geran_info_base_station_identity_code | a placeholder for the output guint8, or `NULL` if not required. |
value_geran_info_timing_advance | a placeholder for the output guint32, or `NULL` if not required. |
value_geran_info_rx_level | a placeholder for the output guint16, or `NULL` if not required. |
value_geran_info_cell | a placeholder for the output GArray of QmiMessageNasGetCellLocationInfoOutputGeranInfoCellElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_nas_get_cell_location_info_output_get_result ()

    gboolean
    qmi_message_nas_get_cell_location_info_output_get_result
                                   (QmiMessageNasGetCellLocationInfoOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasGetCellLocationInfoOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.10

### qmi_client_nas_get_cell_location_info ()

    void
    qmi_client_nas_get_cell_location_info (QmiClientNas *self,
                                           gpointer unused,
                                           guint timeout,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously sends a Get Cell Location Info request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_get_cell_location_info_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.10

### qmi_client_nas_get_cell_location_info_finish ()

    QmiMessageNasGetCellLocationInfoOutput *
    qmi_client_nas_get_cell_location_info_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_get_cell_location_info()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_get_cell_location_info()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasGetCellLocationInfoOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_get_cell_location_info_output_unref()`.

Since: 1.10

## Types and Values

### QmiMessageNasGetCellLocationInfoOutput

    typedef struct _QmiMessageNasGetCellLocationInfoOutput QmiMessageNasGetCellLocationInfoOutput;

The QmiMessageNasGetCellLocationInfoOutput structure contains private data and should only be accessed using the provided API.

Since: 1.10

### QmiMessageNasGetCellLocationInfoOutputUmtsInfoNeighboringLteFrequencyElement

    typedef struct {
        guint16 eutra_absolute_rf_channel_number;
        guint16 physical_cell_id;
        gfloat rsrp;
        gfloat rsrq;
        gint16 cell_selection_rx_level;
        gboolean is_tdd;
    } QmiMessageNasGetCellLocationInfoOutputUmtsInfoNeighboringLteFrequencyElement;

A QmiMessageNasGetCellLocationInfoOutputUmtsInfoNeighboringLteFrequencyElement struct.

#### Members

guint16 `eutra_absolute_rf_channel_number`; | a guint16. |
guint16 `physical_cell_id`; | a guint16. |
gfloat `rsrp`; | a gfloat. |
gfloat `rsrq`; | a gfloat. |
gint16 `cell_selection_rx_level`; | a gint16. |
gboolean `is_tdd`; | a gboolean. |

Since: 1.10

### QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringWcdmaFrequencyElementCellElement

    typedef struct {
        guint16 primary_scrambling_code;
        gint16 cpich_rscp;
        gint16 cpich_ecno;
        gint16 cell_selection_rx_level;
    } QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringWcdmaFrequencyElementCellElement;

A QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringWcdmaFrequencyElementCellElement struct.

#### Members

guint16 `primary_scrambling_code`; | a guint16. |
gint16 `cpich_rscp`; | a gint16. |
gint16 `cpich_ecno`; | a gint16. |
gint16 `cell_selection_rx_level`; | a gint16. |

Since: 1.10

### QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringWcdmaFrequencyElement

    typedef struct {
        guint16 utra_absolute_rf_channel_number;
        guint8 cell_reselection_priority;
        guint16 cell_reselection_high_threshold;
        guint16 cell_reselection_low_threshold;
        GArray *cell;
    } QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringWcdmaFrequencyElement;

A QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringWcdmaFrequencyElement struct.

#### Members

guint16 `utra_absolute_rf_channel_number`; | a guint16. |
guint8 `cell_reselection_priority`; | a guint8. |
guint16 `cell_reselection_high_threshold`; | a guint16. |
guint16 `cell_reselection_low_threshold`; | a guint16. |
GArray *`cell`; | a GArray of QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringWcdmaFrequencyElementCellElement elements. |

Since: 1.10

### QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringGsmFrequencyElementCellElement

    typedef struct {
        guint16 geran_absolute_rf_channel_number;
        gboolean band_is_1900;
        gboolean cell_id_valid;
        guint8 base_station_identity_code;
        gint16 rssi;
        gint16 cell_selection_rx_level;
    } QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringGsmFrequencyElementCellElement;

A QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringGsmFrequencyElementCellElement struct.

#### Members

guint16 `geran_absolute_rf_channel_number`; | a guint16. |
gboolean `band_is_1900`; | a gboolean. |
gboolean `cell_id_valid`; | a gboolean. |
guint8 `base_station_identity_code`; | a guint8. |
gint16 `rssi`; | a gint16. |
gint16 `cell_selection_rx_level`; | a gint16. |

Since: 1.10

### QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringGsmFrequencyElement

    typedef struct {
        guint8 cell_reselection_priority;
        guint8 cell_reselection_high_threshold;
        guint8 cell_reselection_low_threshold;
        guint8 ncc_permitted;
        GArray *cell;
    } QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringGsmFrequencyElement;

A QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringGsmFrequencyElement struct.

#### Members

guint8 `cell_reselection_priority`; | a guint8. |
guint8 `cell_reselection_high_threshold`; | a guint8. |
guint8 `cell_reselection_low_threshold`; | a guint8. |
guint8 `ncc_permitted`; | a guint8. |
GArray *`cell`; | a GArray of QmiMessageNasGetCellLocationInfoOutputLteInfoNeighboringGsmFrequencyElementCellElement elements. |

Since: 1.10

### QmiMessageNasGetCellLocationInfoOutputInterfrequencyLteInfoFrequencyElementCellElement

    typedef struct {
        guint16 physical_cell_id;
        gint16 rsrq;
        gint16 rsrp;
        gint16 rssi;
        gint16 cell_selection_rx_level;
    } QmiMessageNasGetCellLocationInfoOutputInterfrequencyLteInfoFrequencyElementCellElement;

A QmiMessageNasGetCellLocationInfoOutputInterfrequencyLteInfoFrequencyElementCellElement struct.

#### Members

guint16 `physical_cell_id`; | a guint16. |
gint16 `rsrq`; | a gint16. |
gint16 `rsrp`; | a gint16. |
gint16 `rssi`; | a gint16. |
gint16 `cell_selection_rx_level`; | a gint16. |

Since: 1.10

### QmiMessageNasGetCellLocationInfoOutputInterfrequencyLteInfoFrequencyElement

    typedef struct {
        guint16 eutra_absolute_rf_channel_number;
        guint8 cell_selection_rx_level_low_threshold;
        guint8 cell_selection_rx_level_high_threshold;
        guint8 cell_reselection_priority;
        GArray *cell;
    } QmiMessageNasGetCellLocationInfoOutputInterfrequencyLteInfoFrequencyElement;

A QmiMessageNasGetCellLocationInfoOutputInterfrequencyLteInfoFrequencyElement struct.

#### Members

guint16 `eutra_absolute_rf_channel_number`; | a guint16. |
guint8 `cell_selection_rx_level_low_threshold`; | a guint8. |
guint8 `cell_selection_rx_level_high_threshold`; | a guint8. |
guint8 `cell_reselection_priority`; | a guint8. |
GArray *`cell`; | a GArray of QmiMessageNasGetCellLocationInfoOutputInterfrequencyLteInfoFrequencyElementCellElement elements. |

Since: 1.10

### QmiMessageNasGetCellLocationInfoOutputIntrafrequencyLteInfoCellElement

    typedef struct {
        guint16 physical_cell_id;
        gint16 rsrq;
        gint16 rsrp;
        gint16 rssi;
        gint16 cell_selection_rx_level;
    } QmiMessageNasGetCellLocationInfoOutputIntrafrequencyLteInfoCellElement;

A QmiMessageNasGetCellLocationInfoOutputIntrafrequencyLteInfoCellElement struct.

#### Members

guint16 `physical_cell_id`; | a guint16. |
gint16 `rsrq`; | a gint16. |
gint16 `rsrp`; | a gint16. |
gint16 `rssi`; | a gint16. |
gint16 `cell_selection_rx_level`; | a gint16. |

Since: 1.10

### QmiMessageNasGetCellLocationInfoOutputUmtsInfoCellElement

    typedef struct {
        guint16 utra_absolute_rf_channel_number;
        guint16 primary_scrambling_code;
        gint16 rscp;
        gint16 ecio;
    } QmiMessageNasGetCellLocationInfoOutputUmtsInfoCellElement;

A QmiMessageNasGetCellLocationInfoOutputUmtsInfoCellElement struct.

#### Members

guint16 `utra_absolute_rf_channel_number`; | a guint16. |
guint16 `primary_scrambling_code`; | a guint16. |
gint16 `rscp`; | a gint16. |
gint16 `ecio`; | a gint16. |

Since: 1.10

### QmiMessageNasGetCellLocationInfoOutputUmtsInfoNeighboringGeranElement

    typedef struct {
        guint16 geran_absolute_rf_channel_number;
        guint8 network_color_code;
        guint8 base_station_color_code;
        gint16 rssi;
    } QmiMessageNasGetCellLocationInfoOutputUmtsInfoNeighboringGeranElement;

A QmiMessageNasGetCellLocationInfoOutputUmtsInfoNeighboringGeranElement struct.

#### Members

guint16 `geran_absolute_rf_channel_number`; | a guint16. |
guint8 `network_color_code`; | a guint8. |
guint8 `base_station_color_code`; | a guint8. |
gint16 `rssi`; | a gint16. |

Since: 1.10

### QmiMessageNasGetCellLocationInfoOutputGeranInfoCellElement

    typedef struct {
        guint32 cell_id;
        gchar *plmn;
        guint16 lac;
        guint16 geran_absolute_rf_channel_number;
        guint8 base_station_identity_code;
        guint16 rx_level;
    } QmiMessageNasGetCellLocationInfoOutputGeranInfoCellElement;

A QmiMessageNasGetCellLocationInfoOutputGeranInfoCellElement struct.

#### Members

guint32 `cell_id`; | a guint32. |
gchar *`plmn`; | a string of exactly 3 characters. |
guint16 `lac`; | a guint16. |
guint16 `geran_absolute_rf_channel_number`; | a guint16. |
guint8 `base_station_identity_code`; | a guint8. |
guint16 `rx_level`; | a guint16. |

Since: 1.10